> ## Documentation Index
> Fetch the complete documentation index at: https://docs.monyfix.tech/llms.txt
> Use this file to discover all available pages before exploring further.

# Get User Payments

> Get user payments



## OpenAPI

````yaml get /users/payments
openapi: 3.1.0
info:
  title: Monyfix API
  description: Monyfix
  version: 1.0.0
servers: []
security: []
paths:
  /users/payments:
    get:
      tags:
        - users
      summary: Get User Payments
      description: Get user payments
      operationId: get_user_payments_users_payments_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/PaymentsGetResponse'
                type: array
                title: Response Get User Payments Users Payments Get
        '401':
          description: >-
            No `Authorization` access token header, token is invalid or user
            removed
          content:
            application/json:
              examples:
                not authenticated:
                  summary: No authorization token header
                  value:
                    detail: Not authenticated
                invalid token:
                  summary: >-
                    Token validation failed, decode failed, it may be expired or
                    malformed
                  value:
                    detail: 'Token invalid: {detailed error msg}'
                removed user:
                  summary: User removed
                  value:
                    detail: User removed
      security:
        - HTTPBearer: []
components:
  schemas:
    PaymentsGetResponse:
      properties:
        id:
          type: string
          title: Id
        amount:
          type: string
          title: Amount
        description:
          type: string
          title: Description
        order_id:
          type: string
          title: Order Id
        status:
          type: string
          title: Status
        round_id:
          type: string
          title: Round Id
      type: object
      required:
        - id
        - amount
        - description
        - order_id
        - status
        - round_id
      title: PaymentsGetResponse
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````